[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomHeaderControl.DoAutoAdjustLayout

Applies an automatic layout policy to the control using the specified scaling factors.

## Declaration

Source position: comctrls.pp line 4082

`protected procedure TCustomHeaderControl.DoAutoAdjustLayout(`
`const AMode: TLayoutAdjustmentPolicy;`
`const AXProportion: Double;`
`const AYProportion: Double`
`); override;`

## Arguments

`AMode` |  | Layout adjustment policy applied in the method.
`AXProportion` |  | Scaling factor for horizontal adjustments applied in the method.
`AYProportion` |  | Scaling factor for vertical adjustments applied in the method.

## Description

DoAutoAdjustLayout calls the inherited method (in TControl) to apply adjusts to the dimensions, border spacing, and anchoring common to all controls. It extends the inherited method to adjust the Width for the Sections defined on the control using the AXProportion argument.

## See also

TCustomHeaderControl.Sections |  | Sections - the short segments of the header separated by vertical bars that function as the elementary selection units of the header.
THeaderSection.Width |  | Total width in pixels for the text and image on the header section.
TControl.DoAutoAdjustLayout |  | Applies layout changes using the specified policy and scaling proportions to the control.